Bug 252279 - htop missing from 13's pkg due to systuils/lsof failure
Summary: htop missing from 13's pkg due to systuils/lsof failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-30 02:38 UTC by support
Modified: 2021-09-04 19:08 UTC (History)
5 users (show)

See Also:
linimon: maintainer-feedback? (ler)
tobik: maintainer-feedback? (gaod)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description support 2020-12-30 02:38:10 UTC
I'm on the 20201224 build of 13 and when I attempt to install htop via pkg, I get: 

pkg: No packages available to install matching 'htop' have been found in the repositories
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-12-30 11:19:38 UTC
^Triage: this is due to systuils/lsof failing, so change the Summary and assignment.

cc -o lsof  -pipe -fcommon -fstack-protector-strong -fno-strict-aliasing -DNEEDS_BOOL_TYPEDEF -DHASTASKS -DHAS_PAUSE_SBT -DHAS_DUP2 -DHASEFFNLINK=i_effnlink -DHASF_VNODE -DHAS_FILEDESCENT -DHAS_TMPFS -DHASWCTYPE_H -DHASSBSTATE -DHAS_KVM_VNODE -DHAS_UFS1_2 -DHAS_NO_IDEV -DHAS_VM_MEMATTR_T -DNEEDS_DEVICE_T -DHAS_CDEV2PRIV -DHAS_NO_SI_UDEV -DHAS_SYS_SX_H -DHASFUSEFS -DHAS_V_LOCKF -DHAS_LOCKF_ENTRY -DHAS_NO_6PORT -DHAS_NO_6PPCB -DNEEDS_BOOLEAN_T -DHAS_SB_CCC -DHAS_FDESCENTTBL -DFREEBSDV=13000 -DHASFDESCFS=2 -DHASPSEUDOFS -DHASNULLFS -DHASIPv6 -DHASUTMPX -DHAS_STRFTIME -DLSOF_VSTR=\"13.0-CURRENT\" -I/usr/src/sys -O2 dmnt.o dnode.o dnode1.o dnode2.o dproc.o dsock.o dstore.o  arg.o main.o misc.o node.o print.o proc.o store.o usage.o  util.o -L./lib -llsof  -lkvm
ld: error: undefined symbol: FILEDESC_KVM_LOAD_PWD
>>> referenced by dproc.c
>>>               dproc.o:(gather_proc_info)
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** [lsof] Error code 1

make[1]: stopped in /wrkdirs/usr/ports/sysutils/lsof/work/lsof-4.93.2
Comment 2 Vincent Milum Jr 2021-03-19 22:24:54 UTC
Just a quick note. This is still broken on all non-Intel platforms in 13. It would be nice to have utilities like htop work out of the box being installed from pkg when 13.0-RELEASE happens.
Comment 3 Tobias Kortkamp freebsd_committer 2021-03-20 00:15:24 UTC
I'd suggest that in addition to somehow fixing the lsof build we also disable
the LSOF option in sysutils/htop by default. It's only used by its "list open
files with lsof" feature, so it is not really required for running htop. We
also know that lsof regularly fails to build due to kernel changes.
Adding the sysutils/htop maintainer for comment.

(Ideally someone would add a libprocstat(3) or procstat(8) based implementation
of the "list open files" view to htop, so that the lsof dependency could be
removed entirely.)
Comment 4 commit-hook freebsd_committer 2021-03-23 08:00:42 UTC
A commit references this bug:

Author: tobik
Date: Tue Mar 23 08:00:14 UTC 2021
New revision: 569010
URL: https://svnweb.freebsd.org/changeset/ports/569010

Log:
  sysutils/htop: Disable LSOF option by default

  This commit should ensure that we have a htop package for 13.0-RELEASE
  on non-x86 archs.  When sysutils/lsof fails to build (and that
  happens often enough) htop is skipped and we no longer have a package
  for it.  lsof is only used for htop's "list open files" view.

  PR:		252279

Changes:
  head/sysutils/htop/Makefile
Comment 5 Vincent Milum Jr 2021-05-27 17:58:00 UTC
This bug report should probably be marked as "fixed" at this point :)